Mailboxes
Get a mailbox message
Get a mailbox message. View request and response details for this Samva email API endpoint.
Returns a message in the mailbox with its text, sanitized HTML, replyText (what the sender wrote, without quoted history), authentication verdicts, and attachments.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$messageId*string
Match
^msg_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/mailboxes/string/messages/string"{ "id": "string", "threadId": "string", "conversationId": "string", "direction": "inbound", "from": { "actor": { "kind": "user", "id": "string", "displayName": "string" }, "displayName": "string", "address": "string" }, "recipients": [ { "kind": "to", "actor": { "kind": "user", "id": "string", "displayName": "string" }, "displayName": "string", "address": "string" } ], "replyTo": [ "string" ], "subject": "string", "text": "string", "html": "string", "replyText": "string", "headers": { "messageId": "string", "inReplyTo": "string", "references": [ "string" ] }, "authentication": { "spf": "string", "dkim": "string", "dmarc": "string" }, "attachments": [ { "id": "string", "filename": "string", "contentType": "string", "size": 0, "isInline": true } ], "sentBy": { "kind": "user", "id": "string", "displayName": "string" }, "occurredAt": "string"}